1. 3DS 2.0
Merchant Warrior API 2.0
  • API
    • Getting Started
    • Guides
      • Xero Connection
      • Xero Custom URL
      • wooCommerce PayID
      • Middleware
      • Hostaway
    • Direct API
      • getAccessToken
      • processCard
      • processAuth
      • processCapture
      • processBatch
      • retrieveBatch (CSV)
      • retrieveBatch (JSON Response)
      • retrieveBatch (JSON Notify)
      • refundCard
      • queryCard
      • processDDebit
      • processDDebitAuth
      • processVoid
      • verifyCard
      • queryDD
      • queryBIN
      • getSettlement
      • checkEnrollment
      • checkPARes
      • addBlacklistedCard
      • removeBlacklistedCard
      • queryBlacklistedCard
      • simulateNotify
      • getSurcharge
    • 3DS 2.0
      • Introduction
      • 3DS 2 Authentication Flows
      • Step 3 - 3DS Method Data
      • Step 5 - Challenge
      • Step 1 - getAccessToken
        POST
      • Step 2 - checkEnrollment
        POST
      • Step 4 - checkTDSAuth
        POST
      • Step 6 - checkPARes
        POST
      • Step 7 - processCard
        POST
      • Authorization Only processCard
        POST
    • PayLink
      • Introduction
      • Generate PayLink
    • PayID
      • Introduction
      • Create
      • Transaction
      • Get
      • Update
      • Status
      • List
      • Refund
    • PayTo
      • Introduction
      • Simulator
      • Certification
      • Actions and Statuses
      • Agreements
        • Agreements
        • Notifications
        • Create Agreement
        • Get Agreement
        • Amend Agreement
        • Amend Agreement Status
        • Recall Agreement Action
      • Payments
        • Payments
        • Notifications
        • Create Payment
        • Get Payment
        • Get Payment Status
        • Search Payments
    • Confirmation of Payee
      • Introduction
      • Sandbox Simulations
      • Validate
    • POS
      • Introduction
      • processPOS
      • refundPOS
      • voidPOS
      • deregisterPOS
    • Web SDK
      • Introduction
      • Usage
      • getAccessToken
      • Options
      • Initiate
      • Payframe Functionality
      • Middleware
      • addCard
    • Payframe
      • Introduction
      • Usage
      • Constructor
      • tdsCheck
      • Additional Functions
      • Styling
      • processCard
      • processAuth
    • Digital Wallets
      • Apple Pay Prerequisites
      • Google Pay Prerequisites
      • Web SDK
      • Manual Integration
      • processCard
      • addCard
      • getMerchantSession
      • decryptApplePayToken
    • Token Payments
      • Introduction
      • Key Management
      • addCard
      • removeCard
      • cardInfo
      • changeExpiry
      • processCard
      • processAuth
    • Batch
      • Introduction
      • Card Batches
      • Token Batches
      • Direct Debit Batches
    • Forter
      • Introduction
      • Testing
    • Payouts
      • Introduction
      • Sandbox Simulations
      • Notifications
      • Create Payouts
      • Get Payout Status
      • Resend Notifications
      • Get Payout Transaction Status
      • Get Payout Transaction Notify
    • Partner API
      • Introduction
      • addMerchant
      • updateMerchant
      • checkMerchant
    • Notifications
      • Notifications
  • Hosted Payment Page
    • processCard
  1. 3DS 2.0

Authorization Only processCard

Sandbox
https://base.merchantwarrior.com
Sandbox
https://base.merchantwarrior.com
POST
/post

Card Tokens#

The 3DS 2.0 workflow also supports authenticating card token (cardID) based payments, as well as digitalWalletToken based payments.
When authenticating a card token or digitalWalletToken, simply removed the following fields, and substitute in your cardID or digitalWalletToken instead -
paymentCardNumber
paymentCardExpiry
paymentCardName
The following 3DS 2.0 methods support this feature -
Step 2 - checkEnrollment
Step 4 - checkTDSAuth
Step 7 - processCard
The Authorization Only processCard method should be used when you are performing a 3D Secure 2 authorization via your own MPI provider. After the authentication is complete you should receive the equivalent of a threeDSEci, threeDSXid, threeDSCavv, threeDSStatus and threeDSV2Version that you will use to process the transaction.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://base.merchantwarrior.com/post' \
--header 'MW-API-VERSION: 2.0' \
--header 'Content-Type: application/json' \
--data '{
    "method": "processCard",
    "accessToken": "XXXXX",
    "transactionCurrency": "AUD",
    "transactionAmount": "10.00",
    "transactionProduct": "ABC4321",
    "transactionReferenceID": "A257240023321",
    "customerName": "Mr. Example Person",
    "customerCountry": "AU",
    "customerState": "Queensland",
    "customerPostCode": "4000",
    "customerCity": "Brisbane",
    "customerAddress": "123 Test Street",
    "custom1": "XXXXX",
    "custom2": "XXXXX",
    "custom3": "XXXXX",
    "threeDSEci": "XXXXX",
    "threeDSXid": "XXXXX",
    "threeDSCavv": "XXXXX",
    "threeDSStatus": "XXXXX",
    "threeDSV2Version": "XXXXX"
}'
Response Response Example
{
    "custom1": "iyqqgcm0e3",
    "cardExpiryYear": "39",
    "custom2": "1wzw49131m",
    "custom3": "anghwydnmp",
    "responseMessage": "Transaction approved",
    "transactionReferenceID": "009vhidhne",
    "cardType": "mc",
    "responseCode": 0,
    "authCode": "194827",
    "transactionAmount": "1.00",
    "authResponseCode": "00",
    "transactionID": "533-a0a20def-58b2-11ec-abd4-005056b209e0",
    "receiptNo": "000066781583",
    "cardExpiryMonth": "01",
    "feeAmount": "0.19",
    "customHash": "d3d9f05927055f723a0af7010f6688c5",
    "authSettledDate": "2021-12-10",
    "paymentCardNumber": "512345XXXXXX2346",
    "authMessage": "Approved"
}
Modified at 2026-08-07 06:35:16
Previous
Step 7 - processCard
Next
Introduction
Built with